#pragma once

#include <RobotAPI/components/ArViz/ArVizStorage.h>

namespace avi::connection
{
    class Component
    {
    public:
        virtual bool isConnected() const = 0;

        virtual armarx::viz::StorageInterfacePrx getStorageInterface() const = 0;

        virtual ~Component() = default;
    };
} // namespace avi::connection
