#include "VisualOptionTransformer.h"

std::vector<std::function<void()>>
avi::gui::VisualOptionTransformer::createGraphicsControls(
    godot::Control* root,
    godot::Node* receiver,
    std::vector<avi::core::Option<VisualOptionTransformer>*>&& options)
{
    currentRoot = root;
    currentReceiver = receiver;
    returnFunctions.clear();

    for (auto& option : options)
    {
        option->accept(*this);
    }

    currentRoot = nullptr;
    currentReceiver = nullptr;
    return returnFunctions;
}
