#include "CameraSet.h"

avi::scene::CameraSet::CameraSet(avi::scene::ViewCamera* viewCamera,
                                 core::EventSubscriptionSystem& events) :
    viewCamera(viewCamera), events(events)
{
}

avi::core::Camera*
avi::scene::CameraSet::getActiveCamera()
{
    if (this->viewCamera == nullptr)
    {
        return nullptr;
    }

    return this->viewCamera;
}
