#pragma once

#include <set>

#include <arviz_godot/lib/avi/core/EventSubscriptionSystem.h>
#include <arviz_godot/lib/avi/scene/ViewCamera.h>

namespace avi::scene
{
    class CameraSet
    {
    public:
        CameraSet(avi::scene::ViewCamera* viewCamera, avi::core::EventSubscriptionSystem& events);

        avi::core::Camera* getActiveCamera();

    private:
        avi::scene::ViewCamera* viewCamera;
        avi::core::EventSubscriptionSystem& events;
    };
} // namespace avi::scene
