#pragma once

#include "MultiMeshElementNode.h"

namespace avi::scene
{
    class PolygonElementNode : public avi::scene::MultiMeshElementNode
    {
        GODOT_CLASS(PolygonElementNode, ElementNode)

    public:
        ~PolygonElementNode() override = default;
        static void _register_methods();

        void _ready();

        void _init();

        static PolygonElementNode* newPolygonElementNode(std::vector<godot::Mesh*> mesh,
                                                         avi::connection::SentElementType type,
                                                         std::string name,
                                                         avi::core::Layer* layer);

        void update(IceInternal::Handle<armarx::viz::data::Element> elementInfo) override;
    };
} // namespace avi::scene
